net.minecraft.client.gui

## Class GuiOptionButton

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiButton
    - - net.minecraft.client.gui.GuiOptionButton

-     public class GuiOptionButton
      extends GuiButton

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.client.gui.GuiButton

      `buttonTextures, displayString, enabled, field_146123_n, height, id, packedFGColour, visible, width, xPosition, yPosition`

    - ### Fields inherited from class net.minecraft.client.gui.Gui

      `icons, optionsBackground, statIcons, zLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiOptionButton(int p_i45013_1_, int p_i45013_2_, int p_i45013_3_, GameSettings.Options p_i45013_4_, java.lang.String p_i45013_5_)`
    `GuiOptionButton(int p_i45012_1_, int p_i45012_2_, int p_i45012_3_, int p_i45012_4_, int p_i45012_5_, java.lang.String p_i45012_6_)`
    `GuiOptionButton(int p_i45011_1_, int p_i45011_2_, int p_i45011_3_, java.lang.String p_i45011_4_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GameSettings.Options` | `returnEnumOptions()`

    - ### Methods inherited from class net.minecraft.client.gui.GuiButton

      `drawButton, func_146111_b, func_146113_a, func_146115_a, getButtonWidth, getHoverState, mouseDragged, mousePressed, mouseReleased`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawGradientRect, drawHorizontalLine, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon, drawVerticalLine, func_146110_a`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuiOptionButton

          public GuiOptionButton(int p_i45011_1_,
                         int p_i45011_2_,
                         int p_i45011_3_,
                         java.lang.String p_i45011_4_)

    - #### GuiOptionButton

          public GuiOptionButton(int p_i45012_1_,
                         int p_i45012_2_,
                         int p_i45012_3_,
                         int p_i45012_4_,
                         int p_i45012_5_,
                         java.lang.String p_i45012_6_)

    - #### GuiOptionButton

          public GuiOptionButton(int p_i45013_1_,
                         int p_i45013_2_,
                         int p_i45013_3_,
                         GameSettings.Options p_i45013_4_,
                         java.lang.String p_i45013_5_)

  - ### Method Detail

    - #### returnEnumOptions

          public GameSettings.Options returnEnumOptions()